> For the complete documentation index, see [llms.txt](https://developers.tiqets.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.tiqets.dev/basics/openapi/booking-api/retrieve-tickets.md).

# Retrieve tickets

Endpoint to poll for order status and retrieve the tickets.

Tickets will be available once the order\_status has reached the `done` state.

If the order\_status changes from `pending` to `failed`, the order was not successful and cannot be fulfilled. Please refund your customer. Failed orders are not invoiced by Tiqets.

Only once the order\_status is `done` (see example below) the order was confirmed and fulfilled successfully.

**Polling versus Webhook**&#x20;

To avoid periodic polling, use the [callback\_url](/basics/openapi/booking-api/create-order.md#order-status-change-notification-webhooks). When implemented, the callback URL will be called by Tiqets every time the order status changes (e.g., the PDF voucher is ready).

Still opting for polling? Then we recommend implementing an "[exponential back-off](https://en.wikipedia.org/wiki/Exponential_backoff)" mechanism or a 5 - 10 minutes interval wait while retrying until the order is in a final status (`failed` / `done` / `canceled`) for a maximum of 24 hours.

**Fulfilment Speed**

The majority of Tiqets products are fulfilled immediately.

There are however some products where fulfilment can be delayed because of the ticket supplier, specific handling of the ticket or other circumstances. These Products with a higher risk of fulfilment delay can be identified by the property `instant_ticket_delivery` being set to `false`.

These products are typically fulfilled within 30 minutes but there can be circumstances when this can go up to a max of 24 hours.

It is up to the API partner to decide to support these products or not.

## GET /orders/{orderReferenceId}/tickets

> Retrieve tickets

```json
{"openapi":"3.1.0","info":{"title":"Tiqets Distributor API","version":"2.9.0"},"tags":[{"name":"Booking API"}],"servers":[{"url":"https://api.tiqets.com/v2","description":"Production Environment"},{"url":"https://api-tiqt-test.steq.it/v2","description":"Test Environment (until February 4th, 2026)"},{"url":"https://api.api-tiqt-test.steq.it/v2","description":"Test Environment (from February 4th, 2026)"}],"paths":{"/orders/{orderReferenceId}/tickets":{"get":{"tags":["Booking API"],"parameters":[{"$ref":"#/components/parameters/Language"},{"$ref":"#/components/parameters/OrderReferenceId"},{"$ref":"#/components/parameters/Authorization"}],"responses":{"200":{"description":"Successful operation.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"order_reference_id":{"type":"string","description":"Unique order reference ID."},"order_status":{"type":"string","description":"The order status, as one of the following values:\n\n* new: Order is successfully created in Tiqets but not yet confirmed by the distributor.\n* pending: Order is confirmed; Tiqets is currently working on the fulfilment.\n* failed: Order fulfilment failed.\n* done: Order is fulfilled and the PDF tickets are ready.\n* cancelled: A previously fulfilled order has been cancelled.","enum":["new","pending","failed","done","cancelled"]},"how_to_use_info":{"type":["string","null"],"description":"Instructions of how to use the tickets. Also displayed on the voucher."},"post_purchase_info":{"type":["string","null"],"description":"Post-purchase information."},"tickets_pdf_url":{"type":["string","null"],"description":"URL to PDF document with the tickets. Language on the voucher follows order language as defined at order creation.\nValue is `null` unless the order_status is `done`."},"must_know":{"type":["string","null"],"description":"Important information. Also displayed on the voucher."},"pre_purchase":{"type":["string","null"],"description":"Pre-purchase information."},"good_to_know":{"type":["string","null"],"description":"Additional information."},"included":{"type":["string","null"],"description":"Description of what is included in the ticket."},"excluded":{"type":["string","null"],"description":"Description of what is explicitly not included in the ticket."},"has_timeslots":{"type":["boolean","null"],"description":"Indicates whether the product has timeslots."},"has_dynamic_pricing":{"type":"boolean","deprecated":true,"description":"Indicates whether the product has dynamic pricing."},"customer_data_required_on_create_order":{"type":"boolean","deprecated":true,"description":"This element can be ignored and is only returned for compatibility with legacy integrations. Always `true`."},"starting_point_address":{"type":["string","null"],"description":"Address of the starting point."},"starting_point_latitude":{"type":["number","null"],"description":"Latitude of the starting point."},"starting_point_longitude":{"type":["number","null"],"description":"Longitude of the starting point."},"starting_point_city_id":{"type":["integer","null"],"description":"Tiqets city ID of the starting point."}}}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/Forbidden"},"404":{"$ref":"#/components/responses/NotFound"},"405":{"$ref":"#/components/responses/MethodNotAllowed"},"429":{"$ref":"#/components/responses/TooManyRequests"},"500":{"$ref":"#/components/responses/InternalServerError"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}},"summary":"Retrieve tickets"}}},"components":{"parameters":{"Language":{"name":"lang","in":"query","description":"Language of the content to retrieve (ISO 639-1). Defaults to English if undefined.","required":false,"style":"form","explode":true,"schema":{"type":"string","default":"en"}},"OrderReferenceId":{"name":"orderReferenceId","in":"path","description":"Tiqets Order ID.","required":true,"schema":{"type":"string"}},"Authorization":{"name":"Authorization","in":"header","required":true,"description":"Token <Your_API_Key>.","schema":{"type":"string","default":"Token <Partner_API_key>."}}},"responses":{"BadRequest":{"description":"Bad Request -- Check your request parameters (typo in parameter or invalid value).","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"message":{"type":"string"},"error":{"type":"string"},"field_errors":{"type":"object"}}}}}},"Unauthorized":{"description":"Unauthorized -- Your API key is incorrect.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"message":{"type":"string"},"error":{"type":"string"}}}}}},"Forbidden":{"description":"Forbidden -- The endpoint or parameters are not allowed for the matching API key.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"message":{"type":"string"},"error":{"type":"string"}}}}}},"NotFound":{"description":"Not Found -- Requested resource/endpoint could not be found.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"message":{"type":"string"},"error":{"type":"string"}}}}}},"MethodNotAllowed":{"description":"Method Not Allowed -- Check your request method.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"message":{"type":"string"},"error":{"type":"string"}}}}}},"TooManyRequests":{"description":"Too Many Requests -- We currently apply a fair-use policy, but we might enforce limits in the future.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"message":{"type":"string"},"error":{"type":"string"}}}}}},"InternalServerError":{"description":"Internal Server Error -- We had a problem with our server. Try again later.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"message":{"type":"string"},"error":{"type":"string"}}}}}},"ServiceUnavailable":{"description":"Service Unavailable -- We're temporarily offline for maintenance. Please try again later.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"message":{"type":"string"},"error":{"type":"string"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.tiqets.dev/basics/openapi/booking-api/retrieve-tickets.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
